Distribution:   CCux
Packager:       Karsten Brockmann <arcam@ccux-linux.de>

Summary: 	Enlightenment DR17 window manager
Name: 		enlightenment
Version: 	20071209
Release: 	1
License:	BSD
URL: 		http://www.enlightenment.org
Source0: 	%{name}-%{version}.tar.gz
Source1:        ccux-start-enlightenment
Group: 		Graphical Desktop/Enlightenment17
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Requires:	eet
Requires:	evas
Requires:	ecore
Requires:	embryo
Requires:	edje
BuildRequires:	eet-devel
BuildRequires:	evas-devel
BuildRequires:	ecore-devel
BuildRequires:	embryo-devel
BuildRequires:	efreet-devel
BuildRequires:	enlightenment_dbus-devel
BuildRequires:	edje-devel
BuildRequires:  glibc-devel
BuildRequires:  openssl-devel
BuildRequires:  curl-devel
BuildRequires:  libidn-devel
BuildRequires:  libjpeg-devel
BuildRequires:  pam-devel
BuildRequires:  zlib-devel
BuildRequires:  bash
BuildRequires:  libX11-devel
BuildRequires:  libXcursor-devel
BuildRequires:  libXdamage-devel
BuildRequires:  libXext-devel
BuildRequires:  libXfixes-devel
BuildRequires:  libXinerama-devel
BuildRequires:  libXp-devel
BuildRequires:  libXrandr-devel
BuildRequires:  libXrender-devel
BuildRequires:  fontconfig-devel
BuildRequires:  freetype-devel

%description 
Development Release 17 of the Enlightenment window manager represents
an evolution into the next generation of desktop environments: the desktop shell.
DR17 will provide integration between files and your environment in a seamless
manner while encompassing a graphically rich and flexible architecture.
It will not compete with GNOME or KDE, but be a completely new way of
visualizing your desktop, based around the EFL which was built from the
ground up for this task. 

%package devel
Summary:        Development files for enlightenment.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description devel
Header files for developing applications using enlightenment.

%prep
%setup -q -n %name

%build
./autogen.sh
LDFLAGS="$LDFLAGS -l/usr/lib/"
%configure --prefix=%_prefix
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT mandir=%_mandir
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';'
install -d $RPM_BUILD_ROOT%_kdedir/share/config/kdm/sessions/
install -m 755 data/xsession/enlightenment.desktop $RPM_BUILD_ROOT%_kdedir/share/config/kdm/sessions/

install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%_bindir/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_sysconfdir}
%{_bindir}/enlightenment
%{_bindir}/enlightenment_*
%{_bindir}/ccux-start-enlightenment
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/locale/*
%{_datadir}/xsessions/%{name}.desktop
%_kdedir/share/config/kdm/sessions/%{name}.desktop

%files devel
%defattr(-,root,root)
%{_bindir}/enlightenment-config
%{_includedir}/enlightenment/*.h

%changelog
* Sun Dec 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 20071209-1
- Version Update
* Sun Nov 04 2007 Stefan Gottwald <gotti@ccux-linux.de> 20071104-1
- Version Update
* Fri Nov 02 2007 Stefan Gottwald <gotti@ccux-linux.de> 20071102-1
- Version Update
* Sun Apr 01 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.16.999.037-3
- fixed startup script
* Sat Mar 31 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.16.999.037-2
- recompiled
* Sun Oct 22 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.16.999.037-1
- version update
* Sun Oct 22 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.16.999.035-1
- version update
* Fri Aug 18 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.16.999.032-1
- version update
* Fri Jun 09 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.16.999.027-1
- version update
* Sun Dec 25 2005 Karsten Brockmann <arcam@ccux-linux.de> 0.16.999.022-1
- Initial Release
